com.creamtec.ajaxswing.gui

## Class SchedulingEventQueue

- java.lang.Object
- - java.awt.EventQueue
  - - com.creamtec.ajaxswing.gui.SchedulingEventQueue

-     public class SchedulingEventQueue
      extends java.awt.EventQueue

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchedulingEventQueue()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clearEvents()`
    `java.awt.AWTEvent` | `getNextEvent()`
    `boolean` | `isBlocked()`
    `boolean` | `isEmpty()`
    `boolean` | `isProcessingFileDownload()`
    `void` | `push(java.awt.EventQueue newEventQueue)`
    `void` | `scheduleEvent(java.awt.AWTEvent event, java.awt.AWTEvent dependentEvent)`
    `void` | `setBlocked(boolean b)`
    `void` | `setProcessingFileDownload(boolean processingFileDownload)`

    - ### Methods inherited from class java.awt.EventQueue

      `createSecondaryLoop, getCurrentEvent, getMostRecentEventTime, invokeAndWait, invokeLater, isDispatchThread, peekEvent, peekEvent, postEvent`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SchedulingEventQueue

          public SchedulingEventQueue()

  - ### Method Detail

    - #### scheduleEvent

          public void scheduleEvent(java.awt.AWTEvent event,
                           java.awt.AWTEvent dependentEvent)

    - #### getNextEvent

          public java.awt.AWTEvent getNextEvent()
                                         throws java.lang.InterruptedException

      Overrides:
        `getNextEvent` in class `java.awt.EventQueue`
      Throws:
        `java.lang.InterruptedException`

    - #### isEmpty

          public boolean isEmpty()

    - #### isBlocked

          public boolean isBlocked()

    - #### setBlocked

          public void setBlocked(boolean b)

    - #### isProcessingFileDownload

          public boolean isProcessingFileDownload()

    - #### setProcessingFileDownload

          public void setProcessingFileDownload(boolean processingFileDownload)

    - #### clearEvents

          public void clearEvents()

    - #### push

          public void push(java.awt.EventQueue newEventQueue)

      Overrides:
        `push` in class `java.awt.EventQueue`

Copyright © 2000-2012 CreamTec LLC. All Rights Reserved.